<web-app xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
	version="2.4">
	<display-name>search-portlet</display-name>
	<description>WebLab search portlet web application</description>
	
	<listener>
        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
    </listener>
    <listener>
    	<listener-class>org.springframework.web.context.request.RequestContextListener</listener-class>
  	</listener>
  	
	<servlet>
    	<servlet-name>ViewRendererServlet</servlet-name>
    	<servlet-class>org.springframework.web.servlet.ViewRendererServlet</servlet-class>
  	</servlet>
  	<servlet-mapping>
    	<servlet-name>ViewRendererServlet</servlet-name>
    	<url-pattern>/WEB-INF/servlet/view</url-pattern>
  </servlet-mapping>
</web-app>
